body {
	font-family: sans-serif;
}

h1 {
	width: 100%;
	text-align: center;
	font-size: 22px;
	color: gray;
}
.container {
	display: flex;
	width: 100%;
	justify-content: center;
	align-items: center;
}

form {
	width: 40%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	padding: 20px;
	border: 1px solid #1ecaab;
	border-radius: 10px;
	box-shadow: 0 0 5px #1ecaab;
}

label {
	display: flex;
	flex-direction: column;
	margin-top: 25px;
	margin-bottom: 10px;
	font-size: 13px;
	color: #1ecaab;
	position: relative;
}

label:first-of-type {
	margin-top: 10px;
}

.input-wrapper {
	width: 100%;
	position: relative;
}

.input-wrapper .icon {
	width: 20px;
	position: absolute;
	right: 10px;
	top: 50%;
	transform: translateY(-50%);
	display: flex;
	align-items: center;
	justify-content: center;
	cursor: pointer;
	z-index: 10;
	filter: grayscale(100%);
	opacity: .8;
}

.input-wrapper .icon:hover {
	filter: grayscale(0);
	opacity: 1;
}

label .icon img {
	width: 20px;
	pointer-events: none;
}

input {
	width: 100%;
	outline: none !important;
	padding: 10px 15px;
	border-radius: 5px;
	border: 1px solid grey;
	box-sizing: border-box;
}

input:focus {
	border: 2px solid #1ecaab;
	padding: 9px 14px;
}

input.error {
	border: 2px solid #ed2939;
	padding: 9px 14px;
}

input.error:focus {
	border: 2px solid #ed2939;
	padding: 9px 14px;
}

button[type="submit"] {
	margin: 40px auto 0 auto;
	width: fit-content;
	padding: 10px 40px;
	max-width: 300px;
	background: gray;
	border-radius: 10px;
	border: none;
	outline: unset;
	color: #fff;
	font-weight: 700;
	font-size: 16px;
	opacity: .7;
	cursor: pointer;
	transition: .1s ease;
}

button[type="submit"]:hover {
	background: #1ecaab;
	opacity: 1;
}

span.error {
	position: absolute;
	top: 110%;
	left: 0;
	font-size: 11px;
	color: #ed2939;
}

